com.google.gwt.resources.gss

## Class ExtendedEliminateConditionalNodes

- java.lang.Object
- - com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor
  - - com.google.gwt.thirdparty.common.css.compiler.passes.EliminateConditionalNodes
    - - com.google.gwt.resources.gss.ExtendedEliminateConditionalNodes

All Implemented Interfaces:
  com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler, com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass, com.google.gwt.thirdparty.common.css.compiler.ast.CssTreeVisitor

    public class ExtendedEliminateConditionalNodes
    extends com.google.gwt.thirdparty.common.css.compiler.passes.EliminateConditionalNodes
    implements com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass

A compiler pass that eliminates the conditional blocks for which the boolean expression does not evaluate to true.

This compiler pass does not deal with conditional nodes that need to be evaluated at runtime.

### Constructor Summary

Constructors
Constructor and Description
`ExtendedEliminateConditionalNodes(com.google.gwt.thirdparty.common.css.compiler.ast.MutatingVisitController visitController, java.util.Set<java.lang.String> trueConditions, java.util.Set<com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalBlockNode> runtimeConditionalNodes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `enterConditionalBlock(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalBlockNode block)`
`void` `runPass()`

### Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor

`enterArgumentNode, enterAttributeSelector, enterBlock, enterClassSelector, enterCombinator, enterComponent, enterCompositeValueNode, enterCompositeValueNodeOperator, enterConditionalRule, enterDeclaration, enterDeclarationBlock, enterDefinition, enterFontFace, enterForLoop, enterFunctionNode, enterIdSelector, enterImportBlock, enterImportRule, enterKey, enterKeyBlock, enterKeyframeRuleset, enterKeyframesRule, enterMediaRule, enterMediaTypeListDelimiter, enterMixin, enterMixinDefinition, enterPageRule, enterPageSelector, enterPropertyValue, enterProvideNode, enterPseudoClass, enterPseudoElement, enterRequireNode, enterRuleset, enterSelector, enterSelectorBlock, enterTree, enterUnknownAtRule, enterValueNode, leaveArgumentNode, leaveAttributeSelector, leaveBlock, leaveClassSelector, leaveCombinator, leaveComponent, leaveCompositeValueNode, leaveCompositeValueNodeOperator, leaveConditionalBlock, leaveConditionalRule, leaveDeclaration, leaveDeclarationBlock, leaveDefinition, leaveFontFace, leaveForLoop, leaveFunctionNode, leaveIdSelector, leaveImportBlock, leaveImportRule, leaveKey, leaveKeyBlock, leaveKeyframeRuleset, leaveKeyframesRule, leaveMediaRule, leaveMediaTypeListDelimiter, leaveMixin, leaveMixinDefinition, leavePageRule, leavePageSelector, leavePropertyValue, leaveProvideNode, leavePseudoClass, leavePseudoElement, leaveRequireNode, leaveRuleset, leaveSelector, leaveSelectorBlock, leaveTree, leaveUnknownAtRule, leaveValueNode, visit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtendedEliminateConditionalNodes

    public ExtendedEliminateConditionalNodes(com.google.gwt.thirdparty.common.css.compiler.ast.MutatingVisitController visitController,
                                             java.util.Set<java.lang.String> trueConditions,
                                             java.util.Set<com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalBlockNode> runtimeConditionalNodes)

### Method Detail

#### enterConditionalBlock

    public boolean enterConditionalBlock(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalBlockNode block)

Specified by:
  `enterConditionalBlock` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.CssTreeVisitor`
Overrides:
  `enterConditionalBlock` in class `com.google.gwt.thirdparty.common.css.compiler.passes.EliminateConditionalNodes`

#### runPass

    public void runPass()

Specified by:
  `runPass` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass`
Overrides:
  `runPass` in class `com.google.gwt.thirdparty.common.css.compiler.passes.EliminateConditionalNodes`